---
title: TouchEvent.touches
slug: Web/API/TouchEvent/touches
tags:
  - API
  - DOM
  - DOM Reference
  - Mobile
  - Property
  - Read-only
  - Reference
  - TouchEvent
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<p><code><strong>touches</strong></code> is a read-only {{ domxref("TouchList") }} listing all the {{ domxref("Touch") }} objects for touch points that are currently in contact with the touch surface, regardless of whether or not they've changed or what their target element was at {{event("touchstart")}} time.</p>

<p>You can think of it as how many separate fingers are able to be identified as touching the screen.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>touches</em> = <em>touchEvent</em>.touches;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>touches</code></dt>
 <dd>A {{ domxref("TouchList") }} listing all the {{ domxref("Touch") }} objects for touch points that are still in contact with the touch surface, regardless of whether or not they've changed or what their target element was at <code>touchstart</code> time.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates the {{domxref("TouchEvent")}} object's {{domxref("TouchEvent.touches")}} property. The {{domxref("TouchEvent.touches")}} property is a {{domxref("TouchList")}} object and containing a list of {{domxref("Touch")}} objects for every point of contact currently touching the surface.</p>

<p>In following code snippet, the {{event("touchstart")}} event handler checks the length of the {{domxref("TouchEvent.touches")}} list to determine the number of touch points that were activated and then invokes different handlers depending on the number of touch points.</p>

<pre class="brush: js">someElement.addEventListener('touchstart', function(e) {
   // Invoke the appropriate handler depending on the
   // number of touch points.
   switch (e.touches.length) {
     case 1: handle_one_touch(e); break;
     case 2: handle_two_touches(e); break;
     case 3: handle_three_touches(e); break;
     default: console.log("Not supported"); break;
   }
 }, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touchevent-touches')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events','#widl-TouchEvent-touches')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchEvent.touches")}}</p>
